GrailsLog4jLoggerAdapter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.impl
[Java] Class GrailsLog4jLoggerAdapter

    java.lang.Object
      org.slf4j.helpers.NamedLoggerBase
          org.slf4j.helpers.MarkerIgnoringBase
              org.slf4j.impl.GrailsLog4jLoggerAdapter

    public class GrailsLog4jLoggerAdapter
    extends org.slf4j.helpers.MarkerIgnoringBase

A Log4j adapter that produces cleaner, more informative stack traces,

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from class org.slf4j.helpers.MarkerIgnoringBase
ROOT_LOGGER_NAME

Constructor Summary
`GrailsLog4jLoggerAdapter(org.apache.log4j.Logger logger)`

Method Summary
`void` | `debug(java.lang.String msg)`
`void` | `debug(java.lang.String format, java.lang.Object arg)`
`void` | `debug(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `debug(java.lang.String format, java.lang.Object... argArray)`
`void` | `debug(java.lang.String msg, java.lang.Throwable t)`
`void` | `error(java.lang.String msg)`
`void` | `error(java.lang.String format, java.lang.Object arg)`
`void` | `error(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `error(java.lang.String format, java.lang.Object... argArray)`
`void` | `error(java.lang.String msg, java.lang.Throwable t)`
`void` | `info(java.lang.String msg)`
`void` | `info(java.lang.String format, java.lang.Object arg)`
`void` | `info(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `info(java.lang.String format, java.lang.Object... argArray)`
`void` | `info(java.lang.String msg, java.lang.Throwable t)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `trace(java.lang.String msg)`
`void` | `trace(java.lang.String format, java.lang.Object arg)`
`void` | `trace(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `trace(java.lang.String format, java.lang.Object... argArray)`
`void` | `trace(java.lang.String msg, java.lang.Throwable t)`
`void` | `warn(java.lang.String msg)`
`void` | `warn(java.lang.String format, java.lang.Object arg)`
`void` | `warn(java.lang.String format, java.lang.Object... argArray)`
`void` | `warn(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `warn(java.lang.String msg, java.lang.Throwable t)`

Methods inherited from class org.slf4j.helpers.MarkerIgnoringBase
org.slf4j.helpers.MarkerIgnoringBase#error(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#error(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.MarkerIgnoringBase#error(org.slf4j.Marker, java.lang.String), org.slf4j.helpers.MarkerIgnoringBase#error(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#error(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.helpers.MarkerIgnoringBase#trace(org.slf4j.Marker, java.lang.String), org.slf4j.helpers.MarkerIgnoringBase#trace(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.helpers.MarkerIgnoringBase#trace(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#trace(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#trace(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.MarkerIgnoringBase#info(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#info(org.slf4j.Marker, java.lang.String), org.slf4j.helpers.MarkerIgnoringBase#info(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.MarkerIgnoringBase#info(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.helpers.MarkerIgnoringBase#info(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#isDebugEnabled(org.slf4j.Marker), org.slf4j.helpers.MarkerIgnoringBase#isInfoEnabled(org.slf4j.Marker), org.slf4j.helpers.MarkerIgnoringBase#isWarnEnabled(org.slf4j.Marker), org.slf4j.helpers.MarkerIgnoringBase#warn(org.slf4j.Marker, java.lang.String), org.slf4j.helpers.MarkerIgnoringBase#warn(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#warn(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#warn(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.helpers.MarkerIgnoringBase#warn(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.MarkerIgnoringBase#isErrorEnabled(org.slf4j.Marker), org.slf4j.helpers.MarkerIgnoringBase#toString(), org.slf4j.helpers.MarkerIgnoringBase#getName(), org.slf4j.helpers.MarkerIgnoringBase#debug(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.helpers.MarkerIgnoringBase#debug(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#debug(org.slf4j.Marker, java.lang.String), org.slf4j.helpers.MarkerIgnoringBase#debug(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.MarkerIgnoringBase#debug(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#isTraceEnabled(org.slf4j.Marker), org.slf4j.helpers.MarkerIgnoringBase#wait(long, int), org.slf4j.helpers.MarkerIgnoringBase#wait(long), org.slf4j.helpers.MarkerIgnoringBase#wait(), org.slf4j.helpers.MarkerIgnoringBase#equals(java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#hashCode(), org.slf4j.helpers.MarkerIgnoringBase#getClass(), org.slf4j.helpers.MarkerIgnoringBase#notify(), org.slf4j.helpers.MarkerIgnoringBase#notifyAll(), org.slf4j.helpers.MarkerIgnoringBase#error(java.lang.String, java.lang.Throwable), org.slf4j.helpers.MarkerIgnoringBase#error(java.lang.String), org.slf4j.helpers.MarkerIgnoringBase#error(java.lang.String, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#error(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#error(java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.MarkerIgnoringBase#trace(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#trace(java.lang.String, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#trace(java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.MarkerIgnoringBase#trace(java.lang.String), org.slf4j.helpers.MarkerIgnoringBase#trace(java.lang.String, java.lang.Throwable), org.slf4j.helpers.MarkerIgnoringBase#info(java.lang.String, java.lang.Throwable), org.slf4j.helpers.MarkerIgnoringBase#info(java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.MarkerIgnoringBase#info(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#info(java.lang.String, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#info(java.lang.String), org.slf4j.helpers.MarkerIgnoringBase#isDebugEnabled(), org.slf4j.helpers.MarkerIgnoringBase#isInfoEnabled(), org.slf4j.helpers.MarkerIgnoringBase#isWarnEnabled(), org.slf4j.helpers.MarkerIgnoringBase#warn(java.lang.String, java.lang.Throwable), org.slf4j.helpers.MarkerIgnoringBase#warn(java.lang.String), org.slf4j.helpers.MarkerIgnoringBase#warn(java.lang.String, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#warn(java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.MarkerIgnoringBase#warn(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#isErrorEnabled(), org.slf4j.helpers.MarkerIgnoringBase#debug(java.lang.String, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#debug(java.lang.String), org.slf4j.helpers.MarkerIgnoringBase#debug(java.lang.String, java.lang.Throwable), org.slf4j.helpers.MarkerIgnoringBase#debug(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.MarkerIgnoringBase#debug(java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.MarkerIgnoringBase#isTraceEnabled()

Methods inherited from class org.slf4j.helpers.NamedLoggerBase
org.slf4j.helpers.NamedLoggerBase#getName(), org.slf4j.helpers.NamedLoggerBase#wait(long, int), org.slf4j.helpers.NamedLoggerBase#wait(long), org.slf4j.helpers.NamedLoggerBase#wait(), org.slf4j.helpers.NamedLoggerBase#equals(java.lang.Object), org.slf4j.helpers.NamedLoggerBase#toString(), org.slf4j.helpers.NamedLoggerBase#hashCode(), org.slf4j.helpers.NamedLoggerBase#getClass(), org.slf4j.helpers.NamedLoggerBase#notify(), org.slf4j.helpers.NamedLoggerBase#notifyAll(), org.slf4j.helpers.NamedLoggerBase#error(java.lang.String, java.lang.Throwable), org.slf4j.helpers.NamedLoggerBase#error(org.slf4j.Marker, java.lang.String), org.slf4j.helpers.NamedLoggerBase#error(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#error(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#error(java.lang.String), org.slf4j.helpers.NamedLoggerBase#error(java.lang.String, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#error(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#error(java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.NamedLoggerBase#error(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.NamedLoggerBase#error(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.helpers.NamedLoggerBase#trace(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#trace(java.lang.String, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#trace(java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.NamedLoggerBase#trace(java.lang.String), org.slf4j.helpers.NamedLoggerBase#trace(org.slf4j.Marker, java.lang.String), org.slf4j.helpers.NamedLoggerBase#trace(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#trace(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#trace(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.NamedLoggerBase#trace(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.helpers.NamedLoggerBase#trace(java.lang.String, java.lang.Throwable), org.slf4j.helpers.NamedLoggerBase#info(java.lang.String, java.lang.Throwable), org.slf4j.helpers.NamedLoggerBase#info(org.slf4j.Marker, java.lang.String), org.slf4j.helpers.NamedLoggerBase#info(java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.NamedLoggerBase#info(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#info(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.helpers.NamedLoggerBase#info(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.NamedLoggerBase#info(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#info(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#info(java.lang.String, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#info(java.lang.String), org.slf4j.helpers.NamedLoggerBase#isDebugEnabled(), org.slf4j.helpers.NamedLoggerBase#isDebugEnabled(org.slf4j.Marker), org.slf4j.helpers.NamedLoggerBase#isInfoEnabled(org.slf4j.Marker), org.slf4j.helpers.NamedLoggerBase#isInfoEnabled(), org.slf4j.helpers.NamedLoggerBase#isWarnEnabled(org.slf4j.Marker), org.slf4j.helpers.NamedLoggerBase#isWarnEnabled(), org.slf4j.helpers.NamedLoggerBase#warn(org.slf4j.Marker, java.lang.String), org.slf4j.helpers.NamedLoggerBase#warn(java.lang.String, java.lang.Throwable), org.slf4j.helpers.NamedLoggerBase#warn(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#warn(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#warn(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.NamedLoggerBase#warn(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.helpers.NamedLoggerBase#warn(java.lang.String), org.slf4j.helpers.NamedLoggerBase#warn(java.lang.String, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#warn(java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.NamedLoggerBase#warn(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#isErrorEnabled(), org.slf4j.helpers.NamedLoggerBase#isErrorEnabled(org.slf4j.Marker), org.slf4j.helpers.NamedLoggerBase#debug(java.lang.String, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#debug(org.slf4j.Marker, java.lang.String), org.slf4j.helpers.NamedLoggerBase#debug(java.lang.String), org.slf4j.helpers.NamedLoggerBase#debug(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.helpers.NamedLoggerBase#debug(java.lang.String, java.lang.Throwable), org.slf4j.helpers.NamedLoggerBase#debug(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#debug(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.NamedLoggerBase#debug(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#debug(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.helpers.NamedLoggerBase#debug(java.lang.String, [Ljava.lang.Object;), org.slf4j.helpers.NamedLoggerBase#isTraceEnabled(org.slf4j.Marker), org.slf4j.helpers.NamedLoggerBase#isTraceEnabled()

Constructor Detail

### GrailsLog4jLoggerAdapter

    public GrailsLog4jLoggerAdapter(org.apache.log4j.Logger logger)

Method Detail

### debug

    public void debug(java.lang.String msg)

### debug

    public void debug(java.lang.String format, java.lang.Object arg)

### debug

    public void debug(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)

### debug

    public void debug(java.lang.String format, java.lang.Object... argArray)

### debug

    public void debug(java.lang.String msg, java.lang.Throwable t)

### error

    public void error(java.lang.String msg)

### error

    public void error(java.lang.String format, java.lang.Object arg)

### error

    public void error(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)

### error

    public void error(java.lang.String format, java.lang.Object... argArray)

### error

    public void error(java.lang.String msg, java.lang.Throwable t)

### info

    public void info(java.lang.String msg)

### info

    public void info(java.lang.String format, java.lang.Object arg)

### info

    public void info(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)

### info

    public void info(java.lang.String format, java.lang.Object... argArray)

### info

    public void info(java.lang.String msg, java.lang.Throwable t)

### isDebugEnabled

    public boolean isDebugEnabled()

### isErrorEnabled

    public boolean isErrorEnabled()

### isInfoEnabled

    public boolean isInfoEnabled()

### isTraceEnabled

    public boolean isTraceEnabled()

### isWarnEnabled

    public boolean isWarnEnabled()

### trace

    public void trace(java.lang.String msg)

### trace

    public void trace(java.lang.String format, java.lang.Object arg)

### trace

    public void trace(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)

### trace

    public void trace(java.lang.String format, java.lang.Object... argArray)

### trace

    public void trace(java.lang.String msg, java.lang.Throwable t)

### warn

    public void warn(java.lang.String msg)

### warn

    public void warn(java.lang.String format, java.lang.Object arg)

### warn

    public void warn(java.lang.String format, java.lang.Object... argArray)

### warn

    public void warn(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)

### warn

    public void warn(java.lang.String msg, java.lang.Throwable t)

Groovy Documentation